package formview

import (
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/cmd/v2/service"
	"go_dreamfactory/pb"

	"fyne.io/fyne/v2"
	"github.com/sirupsen/logrus"
)

type FriendGetrewardView struct {
	BaseformView
}

func (this *FriendGetrewardView) CreateView(t *model.TestCase) fyne.CanvasObject {

	this.form.OnSubmit = func() {
		if err := service.GetPttService().SendToClient(t.MainType, t.SubType,
			&pb.FriendGetrewardReq{}); err != nil {
			logrus.Error(err)
		}
	}
	return this.form
}
